Activity

Activities are common tasks you perform when working on a project. Activity object allows you to perform the following operations:

  • Retrieve a specific or a list of activities
  • Create an activity
  • Update an activity
  • Delete an activity

  • cURL
  • NODE.JS
  • PHP
  • C#
  • PYTHON
  • JAVA
NameDescriptionFormatAttributes
code Represents the activity item codestringMaxLength = 100
Filterable
description Represents the description of an activitystringMaxLength = 100
Filterable, Sortable
billable Indicates whether an activity is billable or not. If true, the activity is billablebooleanFilterable, Sortable
billRate Hourly bill rate of the time logged when performing an activitydoubleFilterable, Sortable
class Name of the classstringFilterable, Sortable
classId Identifier of the classuuidFilterable
costRate Hourly cost rate of the time logged when performing an activitydoubleFilterable, Sortable
createdById Identifier of the user who created this objectuuidFilterable
createdOn Date and time when this object was created (UTC Now), in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ssdate-timeFilterable, Sortable
customFields []Array: Parent object can have multiple instances of this nested object under it.Represents a list of custom fields
CustomFieldData Nested object: Click to see its details. To retrieve the details of this object via list endpoints, you must use the Expand parameter.
defaultGroup Name of the default group to which an activity item belongsstring
defaultGroupId Identifier of the default group to which an activity item belongs. By default, the activity belongs to all activities groupuuid
expenseAccount Name of an expense account associated with an activitystring
expenseAccountId Identifier of an activity expense account used to track expenses associated with services provideduuid
extra Indicates whether an activity has extra flag or notbooleanFilterable
id Object identifieruuidFilterable
incomeAccount Name of an income account associated with an activitystring
incomeAccountId Identifier of an activity income account used to track income from the services provideduuid
isActive If true, activity status is activebooleanFilterable, Sortable
lastUpdated Last updated date and time value of this object in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ssdate-timeFilterable, Sortable
lastUpdatedById Identifier of the user who last updated this objectuuidFilterable
memo Records any extra information or details about an activitystring
minimumHours Minimum number of hours required to work on an activitydouble
name Name of the activitystringMaxLength = 31
Filterable, Sortable
objectState Represents the state of the object. e.g., new, unchanged, modified or deleted
ObjectState Enumerated type: Click to see possible values and their descriptions.
overTimeBillRate Rate used when a time entry against an activity is marked as overtimedouble
sub Represents the activity item sub-codestringMaxLength = 15
tax1 In addition to the main service tax, Tax1 rate is applied to an invoice. These taxes (Tax1,Tax2,Tax3) are combined to calculate the bill amountdouble
tax2 In addition to the main service tax, Tax2 rate is applied to an invoice. These taxes (Tax1,Tax2,Tax3) are combined to calculate the bill amountdouble
tax3 In addition to the main service tax, Tax3 rate is applied to an invoice. These taxes (Tax1,Tax2,Tax3) are combined to calculate the bill amountdouble
token Represents the token for update operationsint32
version Implements concurrency on this objectbyte

Use this method to retrieve a list of activities. Optionally pass where, orderBy and page as the query parameters to filter the result. The fields parameter is used to request a flat subset of the model and the expand parameter is used to request nested properties in the model. The expand parameter is used to request nested properties in the model.

Request URL
base_url/activity

Method Overview

HTTP Method:

GET

Content Type:

application/json

Response Format:

json

Requires Authentication?

Yes

Headers:

Access Token

Module:

Activity

Required Scopes:

read:core

Required Subscription:

View Subscription


Request Parameters asterisk denotes required
NameParameter TypeDescriptionFormat
fields Query Specifies the model properties you want in the response bodystring
where Query Specifies only those records that match an expression in the querystring
orderBy Query Specifies the order of the recordsstring
page Query Specifies the page number and number of records on each pagestring
expand Query Specifies the nested model properties you want in the response bodystring
Response Body
NameDescriptionFormat
code Represents the activity item codestring
description Represents the description of an activitystring
billable Indicates whether an activity is billable or not. If true, the activity is billableboolean
billRate Hourly bill rate of the time logged when performing an activitydouble
class Name of the classstring
classId Identifier of the classuuid
costRate Hourly cost rate of the time logged when performing an activitydouble
createdById Identifier of the user who created this objectuuid
createdOn Date and time when this object was created (UTC Now), in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ssdate-time
customFields []Array: Parent object can have multiple instances of this nested object under it.Represents a list of custom fields
CustomFieldData Nested object: Click to see its details. To retrieve the details of this object via list endpoints, you must use the Expand parameter.
defaultGroup Name of the default group to which an activity item belongsstring
defaultGroupId Identifier of the default group to which an activity item belongs. By default, the activity belongs to all activities groupuuid
expenseAccount Name of an expense account associated with an activitystring
expenseAccountId Identifier of an activity expense account used to track expenses associated with services provideduuid
extra Indicates whether an activity has extra flag or notboolean
id Object identifieruuid
incomeAccount Name of an income account associated with an activitystring
incomeAccountId Identifier of an activity income account used to track income from the services provideduuid
isActive If true, activity status is activeboolean
lastUpdated Last updated date and time value of this object in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ssdate-time
lastUpdatedById Identifier of the user who last updated this objectuuid
memo Records any extra information or details about an activitystring
minimumHours Minimum number of hours required to work on an activitydouble
name Name of the activitystring
objectState Represents the state of the object. e.g., new, unchanged, modified or deleted
ObjectStateEnumerated type: Click to see possible values and their descriptions.
overTimeBillRate Rate used when a time entry against an activity is marked as overtimedouble
sub Represents the activity item sub-codestring
tax1 In addition to the main service tax, Tax1 rate is applied to an invoice. These taxes (Tax1,Tax2,Tax3) are combined to calculate the bill amountdouble
tax2 In addition to the main service tax, Tax2 rate is applied to an invoice. These taxes (Tax1,Tax2,Tax3) are combined to calculate the bill amountdouble
tax3 In addition to the main service tax, Tax3 rate is applied to an invoice. These taxes (Tax1,Tax2,Tax3) are combined to calculate the bill amountdouble
token Represents the token for update operationsint32
version Implements concurrency on this objectbyte
Example Request
Example Response
[
  {
    "code": "6011",
    "description": "Activity Description",
    "billable": true,
    "billRate": 1,
    "class": "class",
    "classId": "e76e7a8b-351d-4bf1-a1a7-1890188edf10",
    "costRate": 1,
    "createdById": "3f144c19-f7ac-4f4e-a68d-435c72c75a8a",
    "createdOn": "2026-01-14T04:56:13Z",
    "customFields": [
      {
        "definitionId": "1437c722-aa9f-4294-86fd-e1a183505ca1",
        "createdById": "afd52697-ab57-40fc-96a8-0d33d51ed908",
        "createdOn": "2026-01-14T04:56:13Z",
        "description": "CustomFieldData Description",
        "id": "161ddebf-0256-45b3-9d4a-2046950a1060",
        "label": "label",
        "lastUpdated": "2026-01-14T04:56:13Z",
        "lastUpdatedById": "01552015-548a-4ace-bf35-58cb5e689780",
        "objectState": null,
        "token": 0,
        "type": null,
        "value": "value",
        "version": "U3dhZ2dlciByb2Nrcw=="
      }
    ],
    "defaultGroup": "defaultGroup",
    "defaultGroupId": "8cce9f22-f17f-4b80-95f4-3abd73e0ddb9",
    "expenseAccount": "expenseAccount",
    "expenseAccountId": "17a3394e-fb1b-4ea2-8479-ce160245c55b",
    "extra": true,
    "id": "bfa6825f-2a14-4aa4-8540-cc5fe7457e4b",
    "incomeAccount": "incomeAccount",
    "incomeAccountId": "bb179caa-9862-46db-93d4-bfe4296b62b6",
    "isActive": true,
    "lastUpdated": "2026-01-14T04:56:13Z",
    "lastUpdatedById": "d5eeef92-fc85-4133-9beb-fe417767efaa",
    "memo": "memo",
    "minimumHours": 1,
    "name": "Activity",
    "objectState": null,
    "overTimeBillRate": 1,
    "sub": "sub",
    "tax1": 1,
    "tax2": 1,
    "tax3": 1,
    "token": 0,
    "version": "U3dhZ2dlciByb2Nrcw=="
  }
]

Use this method to retrieve a specific activity. Pass id as the parameter.

Request URL
base_url/activity/{id}

Method Overview

HTTP Method:

GET

Content Type:

application/json

Response Format:

json

Requires Authentication?

Yes

Headers:

Access Token

Module:

Activity

Required Scopes:

read:core

Required Subscription:

View Subscription


Request Parameters asterisk denotes required
NameParameter TypeDescriptionFormat
id Path Activity identifierstring
Response Body
NameDescriptionFormat
code Represents the activity item codestring
description Represents the description of an activitystring
billable Indicates whether an activity is billable or not. If true, the activity is billableboolean
billRate Hourly bill rate of the time logged when performing an activitydouble
class Name of the classstring
classId Identifier of the classuuid
costRate Hourly cost rate of the time logged when performing an activitydouble
createdById Identifier of the user who created this objectuuid
createdOn Date and time when this object was created (UTC Now), in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ssdate-time
customFields []Array: Parent object can have multiple instances of this nested object under it.Represents a list of custom fields
CustomFieldData Nested object: Click to see its details. To retrieve the details of this object via list endpoints, you must use the Expand parameter.
defaultGroup Name of the default group to which an activity item belongsstring
defaultGroupId Identifier of the default group to which an activity item belongs. By default, the activity belongs to all activities groupuuid
expenseAccount Name of an expense account associated with an activitystring
expenseAccountId Identifier of an activity expense account used to track expenses associated with services provideduuid
extra Indicates whether an activity has extra flag or notboolean
id Object identifieruuid
incomeAccount Name of an income account associated with an activitystring
incomeAccountId Identifier of an activity income account used to track income from the services provideduuid
isActive If true, activity status is activeboolean
lastUpdated Last updated date and time value of this object in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ssdate-time
lastUpdatedById Identifier of the user who last updated this objectuuid
memo Records any extra information or details about an activitystring
minimumHours Minimum number of hours required to work on an activitydouble
name Name of the activitystring
objectState Represents the state of the object. e.g., new, unchanged, modified or deleted
ObjectStateEnumerated type: Click to see possible values and their descriptions.
overTimeBillRate Rate used when a time entry against an activity is marked as overtimedouble
sub Represents the activity item sub-codestring
tax1 In addition to the main service tax, Tax1 rate is applied to an invoice. These taxes (Tax1,Tax2,Tax3) are combined to calculate the bill amountdouble
tax2 In addition to the main service tax, Tax2 rate is applied to an invoice. These taxes (Tax1,Tax2,Tax3) are combined to calculate the bill amountdouble
tax3 In addition to the main service tax, Tax3 rate is applied to an invoice. These taxes (Tax1,Tax2,Tax3) are combined to calculate the bill amountdouble
token Represents the token for update operationsint32
version Implements concurrency on this objectbyte
Example Request
Example Response
{
  "code": "6011",
  "description": "Activity Description",
  "billable": true,
  "billRate": 1,
  "class": "class",
  "classId": "d3dd51ad-a1d4-4e86-b8d4-c344cf2a93e9",
  "costRate": 1,
  "createdById": "02771490-f96a-463d-920a-836df77fbdc9",
  "createdOn": "2026-01-14T04:56:13Z",
  "customFields": [
    {
      "definitionId": "5cb8629b-1292-43b4-bbaf-d7a4975e0258",
      "createdById": "8db969ff-3c30-4dc9-8c70-1849d489240f",
      "createdOn": "2026-01-14T04:56:13Z",
      "description": "CustomFieldData Description",
      "id": "c38c7923-7779-4605-a341-09a3d8dbdcf7",
      "label": "label",
      "lastUpdated": "2026-01-14T04:56:13Z",
      "lastUpdatedById": "0b052367-7dfb-4069-8743-db8d2f6d2d01",
      "objectState": null,
      "token": 0,
      "type": null,
      "value": "value",
      "version": "U3dhZ2dlciByb2Nrcw=="
    }
  ],
  "defaultGroup": "defaultGroup",
  "defaultGroupId": "99250ac9-5752-4cdf-a16d-05f19b88c35a",
  "expenseAccount": "expenseAccount",
  "expenseAccountId": "d74eac95-f6fe-4566-a27c-71b3712c57b7",
  "extra": true,
  "id": "bd7dea75-cc32-41e4-9c71-3f570c5cd454",
  "incomeAccount": "incomeAccount",
  "incomeAccountId": "25f06008-e415-4543-bbce-2741fdbbae58",
  "isActive": true,
  "lastUpdated": "2026-01-14T04:56:13Z",
  "lastUpdatedById": "8fbccf82-0777-4db6-8766-4c93e36ab235",
  "memo": "memo",
  "minimumHours": 1,
  "name": "Activity",
  "objectState": null,
  "overTimeBillRate": 1,
  "sub": "sub",
  "tax1": 1,
  "tax2": 1,
  "tax3": 1,
  "token": 0,
  "version": "U3dhZ2dlciByb2Nrcw=="
}

Use this method to save an activity. Pass activity as the parameter.

Request URL
base_url/activity

Method Overview

HTTP Method:

POST

Content Type:

application/json

Response Format:

json

Requires Authentication?

Yes

Headers:

Access Token

Module:

Activity

Required Scopes:

readwrite:core

Required Subscription:

View Subscription


Request Parameters asterisk denotes required
NameParameter TypeDescriptionFormat
body Body Activity objectActivity
Response Body
NameDescriptionFormat
code Represents the activity item codestring
description Represents the description of an activitystring
billable Indicates whether an activity is billable or not. If true, the activity is billableboolean
billRate Hourly bill rate of the time logged when performing an activitydouble
class Name of the classstring
classId Identifier of the classuuid
costRate Hourly cost rate of the time logged when performing an activitydouble
createdById Identifier of the user who created this objectuuid
createdOn Date and time when this object was created (UTC Now), in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ssdate-time
customFields []Array: Parent object can have multiple instances of this nested object under it.Represents a list of custom fields
CustomFieldData Nested object: Click to see its details. To retrieve the details of this object via list endpoints, you must use the Expand parameter.
defaultGroup Name of the default group to which an activity item belongsstring
defaultGroupId Identifier of the default group to which an activity item belongs. By default, the activity belongs to all activities groupuuid
expenseAccount Name of an expense account associated with an activitystring
expenseAccountId Identifier of an activity expense account used to track expenses associated with services provideduuid
extra Indicates whether an activity has extra flag or notboolean
id Object identifieruuid
incomeAccount Name of an income account associated with an activitystring
incomeAccountId Identifier of an activity income account used to track income from the services provideduuid
isActive If true, activity status is activeboolean
lastUpdated Last updated date and time value of this object in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ssdate-time
lastUpdatedById Identifier of the user who last updated this objectuuid
memo Records any extra information or details about an activitystring
minimumHours Minimum number of hours required to work on an activitydouble
name Name of the activitystring
objectState Represents the state of the object. e.g., new, unchanged, modified or deleted
ObjectStateEnumerated type: Click to see possible values and their descriptions.
overTimeBillRate Rate used when a time entry against an activity is marked as overtimedouble
sub Represents the activity item sub-codestring
tax1 In addition to the main service tax, Tax1 rate is applied to an invoice. These taxes (Tax1,Tax2,Tax3) are combined to calculate the bill amountdouble
tax2 In addition to the main service tax, Tax2 rate is applied to an invoice. These taxes (Tax1,Tax2,Tax3) are combined to calculate the bill amountdouble
tax3 In addition to the main service tax, Tax3 rate is applied to an invoice. These taxes (Tax1,Tax2,Tax3) are combined to calculate the bill amountdouble
token Represents the token for update operationsint32
version Implements concurrency on this objectbyte
Example Request
Example Response
{
  "code": "6011",
  "description": "Activity Description",
  "billable": true,
  "billRate": 1,
  "class": "class",
  "classId": "7991032d-afcd-4b2a-9d1d-af1186d6f457",
  "costRate": 1,
  "createdById": "05f508bc-6cda-4d3f-a7aa-06801e20a8e9",
  "createdOn": "2026-01-14T04:56:13Z",
  "customFields": [
    {
      "definitionId": "a56a5ca9-391d-4023-afbd-65eda9e8e2a8",
      "createdById": "1d3f3e67-5faf-40be-88ad-626031429e99",
      "createdOn": "2026-01-14T04:56:13Z",
      "description": "CustomFieldData Description",
      "id": "c94507c1-e4a0-4b82-afdb-fd95103e9517",
      "label": "label",
      "lastUpdated": "2026-01-14T04:56:13Z",
      "lastUpdatedById": "4783deaa-d0f9-4a95-916f-6f57e160cad2",
      "objectState": null,
      "token": 0,
      "type": null,
      "value": "value",
      "version": "U3dhZ2dlciByb2Nrcw=="
    }
  ],
  "defaultGroup": "defaultGroup",
  "defaultGroupId": "7c7c9857-8356-4c58-ade5-ab1b90e737d7",
  "expenseAccount": "expenseAccount",
  "expenseAccountId": "5927a8d8-79e3-4d55-91f7-30fd0376fa25",
  "extra": true,
  "id": "278b037b-aef1-4834-bf76-79d71450ad4b",
  "incomeAccount": "incomeAccount",
  "incomeAccountId": "1640f5ac-f055-40e3-b401-ff7364e52e27",
  "isActive": true,
  "lastUpdated": "2026-01-14T04:56:13Z",
  "lastUpdatedById": "e90c543f-c5d4-44ec-8576-d628b9243907",
  "memo": "memo",
  "minimumHours": 1,
  "name": "Activity",
  "objectState": null,
  "overTimeBillRate": 1,
  "sub": "sub",
  "tax1": 1,
  "tax2": 1,
  "tax3": 1,
  "token": 0,
  "version": "U3dhZ2dlciByb2Nrcw=="
}

Use this method to save multiple activity. Pass model as the parameter.

As saving multiple records in a batch takes time, this endpoint returns a Job object that shows the progress of the batch operation. To check the status of the operation at any time, use the job endpoint.

Request URL
base_url/activity/batch

Method Overview

HTTP Method:

POST

Content Type:

application/json

Response Format:

json

Requires Authentication?

Yes

Headers:

Access Token

Module:

Activity

Required Scopes:

readwrite:core

Required Subscription:

View Subscription


Request Parameters asterisk denotes required
NameParameter TypeDescriptionFormat
body Body Activity objectActivityBatchRequest
Response Body
NameDescriptionFormat
batchSize Represents the number of entities in a batchint64
createdById Identifier of the user who created this objectuuid
createdOn Date and time when this object was created (UTC Now), in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ssdate-time
id Object identifieruuid
lastUpdated Last updated date and time value of this object in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ssdate-time
lastUpdatedById Identifier of the user who last updated this objectuuid
objectState Represents the state of the object. e.g., new, unchanged, modified or deleted
ObjectStateEnumerated type: Click to see possible values and their descriptions.
progress Represents the total number of entities processedint64
status Represents the status of a job e.g., ready, running, completed, or terminatedstring
token Represents the token for update operationsint32
type Represents the type of a job e.g., create, update, or deletestring
version Implements concurrency on this objectbyte
Example Request
Example Response
{
  "batchSize": 0,
  "createdById": "6d6da5f0-ae64-4d6d-b33c-4ef812eb6539",
  "createdOn": "2026-01-14T04:56:14Z",
  "id": "0e8a0da8-4911-434b-9d81-174b537e070b",
  "lastUpdated": "2026-01-14T04:56:14Z",
  "lastUpdatedById": "ec1bf847-ce49-4f39-a86e-8543b3234197",
  "objectState": null,
  "progress": 0,
  "status": "status",
  "token": 0,
  "type": "type",
  "version": "U3dhZ2dlciByb2Nrcw=="
}

Use this method to update an activity. Pass id and activity as the parameters.

Request URL
base_url/activity/{id}

Method Overview

HTTP Method:

PUT

Content Type:

application/json

Response Format:

json

Requires Authentication?

Yes

Headers:

Access Token

Module:

Activity

Required Scopes:

readwrite:core

Required Subscription:

View Subscription


Request Parameters asterisk denotes required
NameParameter TypeDescriptionFormat
id Path Activity identifierstring
body Body Activity objectActivity
Response Body
NameDescriptionFormat
code Represents the activity item codestring
description Represents the description of an activitystring
billable Indicates whether an activity is billable or not. If true, the activity is billableboolean
billRate Hourly bill rate of the time logged when performing an activitydouble
class Name of the classstring
classId Identifier of the classuuid
costRate Hourly cost rate of the time logged when performing an activitydouble
createdById Identifier of the user who created this objectuuid
createdOn Date and time when this object was created (UTC Now), in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ssdate-time
customFields []Array: Parent object can have multiple instances of this nested object under it.Represents a list of custom fields
CustomFieldData Nested object: Click to see its details. To retrieve the details of this object via list endpoints, you must use the Expand parameter.
defaultGroup Name of the default group to which an activity item belongsstring
defaultGroupId Identifier of the default group to which an activity item belongs. By default, the activity belongs to all activities groupuuid
expenseAccount Name of an expense account associated with an activitystring
expenseAccountId Identifier of an activity expense account used to track expenses associated with services provideduuid
extra Indicates whether an activity has extra flag or notboolean
id Object identifieruuid
incomeAccount Name of an income account associated with an activitystring
incomeAccountId Identifier of an activity income account used to track income from the services provideduuid
isActive If true, activity status is activeboolean
lastUpdated Last updated date and time value of this object in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ssdate-time
lastUpdatedById Identifier of the user who last updated this objectuuid
memo Records any extra information or details about an activitystring
minimumHours Minimum number of hours required to work on an activitydouble
name Name of the activitystring
objectState Represents the state of the object. e.g., new, unchanged, modified or deleted
ObjectStateEnumerated type: Click to see possible values and their descriptions.
overTimeBillRate Rate used when a time entry against an activity is marked as overtimedouble
sub Represents the activity item sub-codestring
tax1 In addition to the main service tax, Tax1 rate is applied to an invoice. These taxes (Tax1,Tax2,Tax3) are combined to calculate the bill amountdouble
tax2 In addition to the main service tax, Tax2 rate is applied to an invoice. These taxes (Tax1,Tax2,Tax3) are combined to calculate the bill amountdouble
tax3 In addition to the main service tax, Tax3 rate is applied to an invoice. These taxes (Tax1,Tax2,Tax3) are combined to calculate the bill amountdouble
token Represents the token for update operationsint32
version Implements concurrency on this objectbyte
Example Request
Example Response
{
  "code": "6011",
  "description": "Activity Description",
  "billable": true,
  "billRate": 1,
  "class": "class",
  "classId": "0dbf40d4-9c9c-4d71-a3e6-24b634d4e228",
  "costRate": 1,
  "createdById": "72b21f41-51ef-4775-8f6d-59a09c939444",
  "createdOn": "2026-01-14T04:56:13Z",
  "customFields": [
    {
      "definitionId": "a0906a4d-65e2-486f-bd79-869da10b0aa4",
      "createdById": "c39e71b4-5562-41e1-a08a-497d5af3ba63",
      "createdOn": "2026-01-14T04:56:13Z",
      "description": "CustomFieldData Description",
      "id": "eee22d37-d991-480f-a5b2-8a1590d4e51e",
      "label": "label",
      "lastUpdated": "2026-01-14T04:56:13Z",
      "lastUpdatedById": "c9c26b1c-0c4f-4806-aa1c-408da5e24b2e",
      "objectState": null,
      "token": 0,
      "type": null,
      "value": "value",
      "version": "U3dhZ2dlciByb2Nrcw=="
    }
  ],
  "defaultGroup": "defaultGroup",
  "defaultGroupId": "305635eb-2628-439e-9a85-cc597c4a166f",
  "expenseAccount": "expenseAccount",
  "expenseAccountId": "d969a743-1c1f-4229-8d96-422311d98f2f",
  "extra": true,
  "id": "1e4a4690-8cfc-4eec-8773-4af6d6cb5fc1",
  "incomeAccount": "incomeAccount",
  "incomeAccountId": "2bb6451f-eb33-49b3-8d0d-0d83ff3e67f3",
  "isActive": true,
  "lastUpdated": "2026-01-14T04:56:13Z",
  "lastUpdatedById": "3ae75d23-7560-4594-8f45-b4b168a30125",
  "memo": "memo",
  "minimumHours": 1,
  "name": "Activity",
  "objectState": null,
  "overTimeBillRate": 1,
  "sub": "sub",
  "tax1": 1,
  "tax2": 1,
  "tax3": 1,
  "token": 0,
  "version": "U3dhZ2dlciByb2Nrcw=="
}

Use this method to delete an activity. Pass id as the parameter.

Request URL
base_url/activity/{id}

Method Overview

HTTP Method:

DELETE

Content Type:

application/json

Response Format:

N/A

Requires Authentication?

Yes

Headers:

Access Token

Required Scopes:

readwrite:core

Required Subscription:

View Subscription


Request Parameters asterisk denotes required
NameParameter TypeDescriptionFormat
id Path Activity identifierstring
Example Request

Use this method to perform partial modifications to an activity. Pass id and patch document as parameters.

Request URL
base_url/activity/{id}

Method Overview

HTTP Method:

PATCH

Content Type:

application/json

Response Format:

json

Requires Authentication?

Yes

Headers:

Access Token

Module:

Activity

Required Scopes:

readwrite:core

Required Subscription:

View Subscription


Request Parameters asterisk denotes required
NameParameter TypeDescriptionFormat
id Path Activity identifierstring
body Body A document containing an array of objects with each object representing a single operationActivityPatchDocument
Response Body
NameDescriptionFormat
Example Request
Example Response